Package edu.wisc.game.engine

## Enum Order.PositionSelector

- java.lang.Object
- - java.lang.Enum<Order.PositionSelector>
  - - edu.wisc.game.engine.Order.PositionSelector

- All Implemented Interfaces:
    `Serializable`, `Comparable<Order.PositionSelector>`
  Enclosing class:
    Order

      public static enum Order.PositionSelector
      extends Enum<Order.PositionSelector>

  Names of built-in (predefined) orders

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `B` |
    `Farthest` |
    `L` |
    `L1` |
    `L2` |
    `L3` |
    `L4` |
    `NearestObject` |
    `R` |
    `T` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Order.PositionSelector` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Order.PositionSelector[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### L1

          public static final Order.PositionSelector L1

    - #### L2

          public static final Order.PositionSelector L2

    - #### L3

          public static final Order.PositionSelector L3

    - #### L4

          public static final Order.PositionSelector L4

    - #### T

          public static final Order.PositionSelector T

    - #### B

          public static final Order.PositionSelector B

    - #### R

          public static final Order.PositionSelector R

    - #### L

          public static final Order.PositionSelector L

    - #### NearestObject

          public static final Order.PositionSelector NearestObject

    - #### Farthest

          public static final Order.PositionSelector Farthest

  - ### Method Detail

    - #### values

          public static Order.PositionSelector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Order.PositionSelector c : Order.PositionSelector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Order.PositionSelector valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null